CVE-2005-1066
CVSS1.2
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:48:07
NMCOS    

[原文]Race condition in rpdump in Pine 4.62 and earlier allows local users to overwrite arbitrary files via a symlink attack.


[CNNVD]Pine RPDump本地文件破坏漏洞(CNNVD-200505-395)

        Pine 4.62和较早版本的rpdump中的竞争状态,允许本地用户通过symlink攻击来重写任意文件。

- CVSS (基础分值)

CVSS分值: 1.2 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1066
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1066
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-395
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/14899
(VENDOR_ADVISORY)  SECUNIA  14899
http://msgs.securepoint.com/cgi-bin/get/bugtraq0504/126.html
(VENDOR_ADVISORY)  BUGTRAQ  20050411 rpdump TOCTOU file-permissions vulnerability
http://www.osvdb.org/15456
(UNKNOWN)  OSVDB  15456

- 漏洞信息

Pine RPDump本地文件破坏漏洞
低危 竞争条件
2005-05-02 00:00:00 2005-10-20 00:00:00
本地  
        Pine 4.62和较早版本的rpdump中的竞争状态,允许本地用户通过symlink攻击来重写任意文件。

- 公告与补丁

        暂无数据

- 漏洞信息

15456
Pine rpdump Symlink Arbitrary File Overwrite
Local Access Required Race Condition
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

Pine rdump contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when a malicious user causes rdump to write to a symlink. This allows the overwriting of arbitrary files with the privileges of the user running Pine. This flaw may lead to a loss of integrity.

- 时间线

2005-04-09 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Pine RPDump Local File Corruption Vulnerability
Race Condition Error 13093
No Yes
2005-04-11 12:00:00 2009-07-12 12:56:00
Imran Ghory <imranghory@gmail.com> is credited with the discovery of this vulnerability.

- 受影响的程序版本

University of Washington Pine 4.62
University of Washington Pine 4.58
University of Washington Pine 4.56
University of Washington Pine 4.53
University of Washington Pine 4.52
University of Washington Pine 4.50
University of Washington Pine 4.44
+ EnGarde Secure Linux 1.0.1
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
+ RedHat Linux Advanced Work Station 2.1
+ S.u.S.E. Linux 8.1
+ S.u.S.E. Linux 8.0 i386
+ S.u.S.E. Linux 8.0
+ Sun Cobalt Qube 3
+ Sun Cobalt RaQ 4
+ Sun Cobalt RaQ 550
+ Sun Cobalt RaQ XTR
+ Sun Linux 5.0.7
+ Sun Linux 5.0
University of Washington Pine 4.33
- FreeBSD FreeBSD 4.4
- FreeBSD FreeBSD 4.3
- FreeBSD FreeBSD 4.2
+ HP Secure OS software for Linux 1.0
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.1 ia64
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1 alpha
+ S.u.S.E. Linux 7.3 sparc
+ S.u.S.E. Linux 7.3 ppc
+ S.u.S.E. Linux 7.3 i386
+ S.u.S.E. Linux 7.3
+ S.u.S.E. Linux 7.2 i386
+ S.u.S.E. Linux 7.2
+ S.u.S.E. Linux 7.1 sparc
+ S.u.S.E. Linux 7.1 ppc
+ S.u.S.E. Linux 7.1 alpha
+ S.u.S.E. Linux 7.1
University of Washington Pine 4.30
University of Washington Pine 4.21
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 5.1
+ Conectiva Linux 5.0
+ Conectiva Linux graficas
+ Conectiva Linux ecommerce
+ RedHat Linux 7.0 i386
+ RedHat Linux 7.0 alpha
+ RedHat Linux 6.2 sparc
+ RedHat Linux 6.2 i386
+ RedHat Linux 6.2 alpha
+ Slackware Linux 7.1
+ Slackware Linux 7.0
University of Washington Pine 4.20
+ Turbolinux Turbolinux Workstation 6.0
University of Washington Pine 4.10
+ RedHat Linux 6.1 sparc
+ RedHat Linux 6.1 i386
+ RedHat Linux 6.1 alpha
+ RedHat Linux 6.0 sparc
+ RedHat Linux 6.0 alpha
+ RedHat Linux 6.0
+ S.u.S.E. Linux 6.1 alpha
+ S.u.S.E. Linux 6.1
University of Washington Pine 4.2 x
University of Washington Pine 4.0.4
+ RedHat Linux 5.2 sparc
+ RedHat Linux 5.2 i386
+ RedHat Linux 5.2 alpha
University of Washington Pine 4.0.2

- 漏洞讨论

Pine 'rpdump' is reported prone to a race condition vulnerability. The issue exists because a window of opportunity exists between the time that the software checks if a user supplied local file exists, and the time that the file is opened for writing.

If 'rpdump' is being invoked against an existing file that resides in a local world-writable directory, an attacker may potentially replace the file with a hardlink to a target file. The attacker may accomplish this while the vulnerable software is processing the remote file. If successful, data that was supposed for the existing file will instead be written to the linked file.

Pine version 4.62 is reported vulnerable, other versions might also be affected.

- 漏洞利用

No exploit is required.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站